Chromium Code Reviews
Help | Chromium Project | Sign in
(10)

Issue 1610683003: Add initial SHM-only Wayland Ozone implementation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 2 months ago by Michael Forney
Modified:
1 year, 1 month ago
CC:
chromium-reviews, feature-media-reviews_chromium.org, ozone-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add initial SHM-only Wayland Ozone implementation This is just the bare minimum to get a window on the screen. Things like cursor handling, input handling, and vsync provider will come in subsequent commits. BUG=578890 Committed: https://crrev.com/44616bf0c27ddb9d93f838019a2b845cf62289c6 Cr-Commit-Position: refs/heads/master@{#372770}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 16

Patch Set 4 : Use base::SharedMemory, expand ObjectTraits macros, etc #

Total comments: 18

Patch Set 5 : #

Patch Set 6 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+933 lines, -40 lines) Patch
M build/common.gypi View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M media/ozone/media_ozone_platform.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M ui/ozone/BUILD.gn View 1 chunk +5 lines, -0 lines 0 comments Download
M ui/ozone/ozone.gni View 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/ozone.gyp View 1 chunk +5 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/BUILD.gn View 1 chunk +27 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/client_native_pixmap_factory_wayland.h View 1 chunk +17 lines, -0 lines 0 comments Download
A + ui/ozone/platform/wayland/client_native_pixmap_factory_wayland.cc View 1 chunk +3 lines, -3 lines 0 comments Download
A ui/ozone/platform/wayland/ozone_platform_wayland.h View 1 chunk +17 lines, -0 lines 0 comments Download
A + ui/ozone/platform/wayland/ozone_platform_wayland.cc View 1 2 3 2 chunks +49 lines, -37 lines 0 comments Download
A ui/ozone/platform/wayland/wayland.gypi View 1 chunk +43 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/wayland_display.h View 1 2 3 4 5 1 chunk +73 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/wayland_display.cc View 1 2 3 4 5 1 chunk +137 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/wayland_object.h View 1 2 3 1 chunk +99 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/wayland_surface_factory.h View 1 chunk +44 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/wayland_surface_factory.cc View 1 2 3 4 1 chunk +173 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/wayland_window.h View 1 2 3 4 1 chunk +76 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/wayland_window.cc View 1 2 3 4 1 chunk +159 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (6 generated)
Michael Forney
Hi Michael and Rob, This is a minimal implementation of a wayland ozone platform. As ...
1 year, 2 months ago (2016-01-21 22:11:48 UTC) #3
spang
https://codereview.chromium.org/1610683003/diff/40001/ui/ozone/platform/wayland/ozone_platform_wayland.cc File ui/ozone/platform/wayland/ozone_platform_wayland.cc (right): https://codereview.chromium.org/1610683003/diff/40001/ui/ozone/platform/wayland/ozone_platform_wayland.cc#newcode60 ui/ozone/platform/wayland/ozone_platform_wayland.cc:60: display_->StartProcessingEvents(); On 2016/01/21 22:11:48, Michael Forney wrote: > It ...
1 year, 2 months ago (2016-01-22 23:42:33 UTC) #5
Michael Forney
Thanks for the comments :) https://codereview.chromium.org/1610683003/diff/40001/ui/ozone/platform/wayland/ozone_platform_wayland.cc File ui/ozone/platform/wayland/ozone_platform_wayland.cc (right): https://codereview.chromium.org/1610683003/diff/40001/ui/ozone/platform/wayland/ozone_platform_wayland.cc#newcode60 ui/ozone/platform/wayland/ozone_platform_wayland.cc:60: display_->StartProcessingEvents(); On 2016/01/22 23:42:32, ...
1 year, 2 months ago (2016-01-23 01:08:05 UTC) #6
spang
vignatti@ kalyank@ Do the wayland bits look right? Overall it looks fine to me but ...
1 year, 2 months ago (2016-01-25 18:57:58 UTC) #7
Michael Forney
https://codereview.chromium.org/1610683003/diff/60001/ui/ozone/platform/wayland/wayland_window.h File ui/ozone/platform/wayland/wayland_window.h (right): https://codereview.chromium.org/1610683003/diff/60001/ui/ozone/platform/wayland/wayland_window.h#newcode65 ui/ozone/platform/wayland/wayland_window.h:65: wl::Object<xdg_surface> xdg_surface_; On 2016/01/25 18:57:58, spang wrote: > What's ...
1 year, 2 months ago (2016-01-25 19:16:45 UTC) #8
rjkroege
Do you have a plan for how to test this? What is it? https://codereview.chromium.org/1610683003/diff/60001/media/ozone/media_ozone_platform.cc File ...
1 year, 2 months ago (2016-01-25 20:41:31 UTC) #9
spang
https://codereview.chromium.org/1610683003/diff/60001/media/ozone/media_ozone_platform.cc File media/ozone/media_ozone_platform.cc (right): https://codereview.chromium.org/1610683003/diff/60001/media/ozone/media_ozone_platform.cc#newcode60 media/ozone/media_ozone_platform.cc:60: MediaOzonePlatform* CreateMediaOzonePlatformWayland() { On 2016/01/25 20:41:31, rjkroege wrote: > ...
1 year, 2 months ago (2016-01-25 21:23:59 UTC) #10
kalyank
https://codereview.chromium.org/1610683003/diff/60001/ui/ozone/platform/wayland/wayland_surface_factory.cc File ui/ozone/platform/wayland/wayland_surface_factory.cc (right): https://codereview.chromium.org/1610683003/diff/60001/ui/ozone/platform/wayland/wayland_surface_factory.cc#newcode104 ui/ozone/platform/wayland/wayland_surface_factory.cc:104: // draw to the buffer at any time, even ...
1 year, 2 months ago (2016-01-25 22:05:16 UTC) #11
kalyank
On 2016/01/25 21:23:59, spang wrote: > https://codereview.chromium.org/1610683003/diff/60001/media/ozone/media_ozone_platform.cc > File media/ozone/media_ozone_platform.cc (right): > > https://codereview.chromium.org/1610683003/diff/60001/media/ozone/media_ozone_platform.cc#newcode60 > ...
1 year, 2 months ago (2016-01-25 22:06:32 UTC) #12
spang
On 2016/01/25 22:06:32, kalyank wrote: > On 2016/01/25 21:23:59, spang wrote: > > > https://codereview.chromium.org/1610683003/diff/60001/media/ozone/media_ozone_platform.cc ...
1 year, 2 months ago (2016-01-25 22:47:29 UTC) #13
Michael Forney
On 2016/01/25 20:41:31, rjkroege wrote: > Do you have a plan for how to test ...
1 year, 2 months ago (2016-01-26 02:24:46 UTC) #14
Michael Forney
https://codereview.chromium.org/1610683003/diff/60001/ui/ozone/platform/wayland/wayland_display.cc File ui/ozone/platform/wayland/wayland_display.cc (right): https://codereview.chromium.org/1610683003/diff/60001/ui/ozone/platform/wayland/wayland_display.cc#newcode21 ui/ozone/platform/wayland/wayland_display.cc:21: static const wl_registry_listener registry_listener = { On 2016/01/25 20:41:31, ...
1 year, 2 months ago (2016-01-26 02:25:26 UTC) #15
spang
lgtm
1 year, 1 month ago (2016-01-29 01:55:29 UTC) #16
kalyank
non owner lgtm
1 year, 1 month ago (2016-01-29 22:42:26 UTC) #17
Michael Forney
jbudorick: Can you review the build/common.gypi change?
1 year, 1 month ago (2016-01-29 23:15:59 UTC) #19
jbudorick
build/common.gypi lgtm
1 year, 1 month ago (2016-01-29 23:20:24 UTC) #20
rjkroege
lgtm
1 year, 1 month ago (2016-02-01 18:06:23 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1610683003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1610683003/100001
1 year, 1 month ago (2016-02-01 20:29:31 UTC) #23
commit-bot: I haz the power
Committed patchset #6 (id:100001)
1 year, 1 month ago (2016-02-01 21:44:17 UTC) #24
commit-bot: I haz the power
1 year, 1 month ago (2016-02-01 21:45:06 UTC) #26
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/44616bf0c27ddb9d93f838019a2b845cf62289c6
Cr-Commit-Position: refs/heads/master@{#372770}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62